Pular para o conteúdo principal
GET
/
api
/
v1
/
spi
/
scheduled-payments
/
{scheduleId}
Inspecionar uma operação de agendamento de Pix Automático registrada (leitura interna de operador)
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/spi/scheduled-payments/{scheduleId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/spi/scheduled-payments/{scheduleId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/spi/scheduled-payments/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "correlationId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "operationId": "<string>",
  "operationState": "<string>",
  "scheduleId": "<string>",
  "scheduleState": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Parâmetros de caminho

scheduleId
string
obrigatório

Schedule (agendamento) identifier to inspect.

Resposta

OK

correlationId
string
obrigatório

Persisted correlation handle (client_operations.business_key).

Exemplo:

"schedule|SCHEDULE2026Ref001"

createdAt
string<date-time>
obrigatório

Operation creation timestamp (RFC3339 UTC).

Exemplo:

"2026-06-10T15:00:00Z"

operationId
string
obrigatório

UUID of the recorded schedule operation (client_operations.id).

Exemplo:

"550e8400-e29b-41d4-a716-446655440000"

operationState
string
obrigatório

Operation lifecycle state (client_operations.state).

Exemplo:

"AWAITING_RESPONSE"

scheduleId
string
obrigatório

Schedule (agendamento) identifier the operation tracks.

Exemplo:

"SCHEDULE2026Ref001"

scheduleState
string
obrigatório

Schedule lifecycle state (metadata pain_lifecycle_state); empty before any lifecycle transition.

Exemplo:

"SCHEDULED"

updatedAt
string<date-time>
obrigatório

Operation last-update timestamp (RFC3339 UTC).

Exemplo:

"2026-06-10T15:05:00Z"